Subject: [Tools-discuss] audio/slide IETF proceedings

From: Tom Pusateri <[email-masked]>
Date: Wed, 13 Jun 2012 08:56:47 -0700

I have been experimenting with augmenting the audio recordings with slide change information to improve the experience of listening to the sessions after the IETF is over. The guys at Verilan have been great so far and I'm excited about the possibilities.

Collecting the real-time slide change information is the more challenging part and I have a few ideas and wanted to get some feedback from anyone with an interest in this.

The goal is to make collecting this information as automated as possible. Aside from a required minutes taker and jabber scribe, we don't need yet another person required to be in the meeting to track slide changes.

I've been able to write a small application on OSX that detects slide changes in Keynote and I believe the same approach will work for Powerpoint on the mac. This application would just need to be run on the presenters machine at the time when the slides are being shown. As it detects slide changes, I plan on having it do several things.

1. perform an HTTP POST with the timestamp, filename, and slide number to an IETF web service
2. send a scoped IP multicast notification message (in IPv4 and IPv6 of course) to announce the slide change
3. record locally the change so it can be resubmitted later if there's a network error

Here's the rub. Not everyone uses a mac and I don't know of an equivalent on Windows. If anyone is a Windows scripting expert and would like to work with me on the windows side, I would very much appreciate it.

I am hoping we can get the software used by Verilan that records the audio to listen to the slide change announcements and save them as meta data in the recording. The current MP3 format won't allow this but the Enhanced AAC format used by many podcasts these days will. If that doesn't work out, I am at least hopeful we can put a timestamp in the audio files as meta data for synchronizing and later post processing into enhanced AAC files with slide change info. It is even possible to export the slides and include the slide images in the AAC files.

One other enhancement that we will need is to know the original file names of the slides submitted to the IETF archive. Currently, they are numbered by the working group name and the order of upload. In order to synchronize the slide change announcements with the audio in the proceedings, we will need to know the original file names of the slides. Maybe the upload procedure can be modified to retain the original file names?

I'd love to get some feedback on whether people think it will be possible to get presenters to:
1. use a mac for the slides
2. run an open source agent on the their presentation machine to collect slide changes

And if the IETF web services are willing to collect HTTP post data of slide changes and original file names?

Thanks,
Tom